package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.GameUserRole;
import com.zanxiang.sdk.domain.params.GameUserRoleUpdateParam;
import com.zanxiang.sdk.domain.params.UserData;


public interface IGameUserRoleService extends IService<GameUserRole> {

    /**
     * 更新用户游戏角色
     *
     * @param param    参数
     * @param userData 用户数据
     * @return {@link Boolean}
     */
    Boolean updateUserGameRole(GameUserRoleUpdateParam param, UserData userData);
}
