package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.PayBox;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PayBoxListParam extends BasePage<PayBox> {

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 关联应用id
     */
    @ApiModelProperty(notes = "关联应用id")
    private Integer payApplicationId;

    /**
     * 关联应用类型
     */
    @ApiModelProperty(notes = "关联应用类型")
    private Integer payApplicationType;

    /**
     * 关联应用appId
     */
    @ApiModelProperty(notes = "关联应用appId")
    private String appId;

    /**
     * 关联应用主体
     */
    @ApiModelProperty(notes = "关联应用主体")
    private String company;

    /**
     * 商户号id
     */
    @ApiModelProperty(notes = "商户号id")
    private String payMerchantId;
}
